TAAS - Feature #310

Assets Sale/Write off
02/14/2024 09:53 AM - Junaid M

Status: Reopen Bugs Start date: 02/14/2024
Priority: Normal Due date:

Assignee: Amal Ck % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Assets Sales/Write Off

Description

Coding Assets Sale/Write off

History

#1 - 02/23/2024 12:26 PM - Junaid M
GUI CHANGE

- In Customer/FOP dropdown, Add Customer/FOP item

- In pop-up - Change Label Sequence Number to "ltem No.", Move to Above Assets. Add Search lence icon.

#2 - 02/24/2024 09:40 AM - Greeshma S
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 02/24/2024 10:35 AM - Greeshma S

gui change done

#4 - 03/07/2024 04:31 PM - Anil KV
- Status changed from Coding Started to New
- % Done changed from 30 to 0

#5 - 06/20/2024 04:36 PM - Anonymous

- Assignee changed from Greeshma S to travvise Admin

#6 - 08/20/2024 04:15 PM - Anil KV
GUI Change

—> Add 'previous Assets Status' label in popup -> label grid/list/table last

—-> add 'previous Assets Status' column List (Last)

Gui Changes Done

#7 - 08/23/2024 01:14 PM - Anil KV
Workflow

—>Master Branch and Department assets only allowed to sale

#8 - 08/23/2024 03:03 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20
#9 - 08/23/2024 06:06 PM - Anil KV

Posting
Doc Date | Customer/FOP/Expense Ac | Dr Price -> Sale/Write off
Doc Date | Assets Ac | Cr Current Assets value - Current Dep —-> Sale/Write off
Doc Date | Income/Expense Ac | Dr/Cr profit -> Sale/Write off
—if Depreciation Debit Account (Admin Setting) == Accm Dep Ac
Doc Date | Expense Ac | Dr Current Dep —-> Assests master or Mapping

Doc Date | Accum Dep Ac| Cr Current Dep -> Assests master or Mapping

Doc Date | Assets Ac | Cr Total Dep(Sys Dep + Current Dep - dbl_ledg_cur_accumu_depreciation_rev)

ests master

Doc Date | Accum Dep Ac| Dr Total Dep(Sys Dep + Current Dep - dbl_ledg_cur_accumu_depreciation_rev)

ests master or Mapping

—if Depreciation Debit Account (Admin Setting) == Assets Ac
Doc Date | Expense Ac | Dr Current Dep —-> Assests master or Mapping
Doc Date | Assets Ac | Cr Current Dep —> Assests master

#10 - 09/07/2024 09:41 AM - Junaid M

- Assignee changed from travvise Admin to Nithin PM

#11 - 09/07/2024 11:57 AM - Junaid M
- Assignee changed from Nithin PM to Amal Ck

#12 - 09/10/2024 11:29 AM - Junaid M
- File AssetsSaleWriteOffMaster.zip added
- File AssetsSaleWriteOffDetails.zip added

#13 - 09/12/2024 03:27 PM - Amal Ck
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#14 - 10/08/2024 09:57 AM - Amal Ck
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 30 to 40

#15 - 10/18/2024 01:39 PM - Anil KV
- Status changed from Particialy Coding Done to New Changes Testing Started
- % Done changed from 40 to 80

#16 - 10/24/2024 04:13 PM - Amal Ck
- Status changed from New Changes Testing Started to New Changes Coding Done
- % Done changed from 80 to 70

#17 - 01/01/2025 02:38 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)No validation when credit limit set for customer

#18 - 01/01/2025 03:45 PM - Theja Ponon
- File clipboard-202501011542-5nbkf.png added
- File clipboard-202501011545-tckab.png added

ISSUE FOUND
1)(DONE)No validation when credit limit set for customer\

Travvise

TRAVEL SOLUTION PVT LTD

Assets Sale/Write Off
BROO1:: Main

DPOO1:: Account

10
Total Sale 12590.00

Administrator(01/01/2025 02:30 PM)

Administrator(01/01/2025 02:41 PM)[4]

selling Price Profit | Previous Assets Status

Total Prafit

90.00

Y a [B@

E) Update

B

600,00 90,00  Active(Depreciation Not Started)

0.00 | Active(Depreciation Not Started)

invalid transaction termination

Sales No | AS/008 Date® | 01/01/2025 [ ] Branch™ | BROO1: Main
Against Doc | RV/005{100.00) {y 0.0 QAR Department™ | DPOO1: Account
Customer/FOP =~ | CUS001 Customer 1 QA v Reference
Sub Customer ~ Cost Center
Responsible User = Cash Counter
Marration A Discount ~ | 0
Document Status™  Active v By TotalSale  500.00 Total Profit
Posting Status™  Active v By Created By:  Administrator(01/01/2025 03:43 PM)

Modified By: Administrator(01/01/2025 03:43 PM)[1]

#19 - 01/02/2025 12:11 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 01/02/2025 02:42 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)(DONE)block sale of allocated asset until the allocation effective date
--after the Allocation effective date sale must be possible through the allocated branch

#21 - 01/02/2025 05:55 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 01/06/2025 11:29 AM - Theja Ponon

- File clipboard-202501061129-kjcgv.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND
Assets Sale/Write Off

VEL SOLUTION PVT LTD

Sales No | As/001 Date™ | 06/01/2025 [ | Branch® | BROGY: Main v

Against Doc {5 |0.00 QAR Department™ | pppo1:: Account v
Customer/FOP*~ | CUS001 Customer 1 usD ~ OE" | NaN

Sub Customer = Reference

Responsible User ~ Cost Center ~

MNarration P Cash Counter ~
Document Status™ | Active v By Discount * | 10.00

Posting Status™ - Active v By Total Sale ~ NaN Total Profit  MaN

Created By:  Administrator(06/01/2025 11:02 AM)

Modified By: Administrator(06/01/2025 11:26 AM)[7]

¥ ¥y

2)(DONE)Deleted asset item from a sale document is not load in another sale
3)(DONE)expense account are not loading on write off

#23 - 01/07/2025 05:06 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 01/09/2025 04:15 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1)SERVICE CHARGE FIELD FOR POS/PG IS NOT SHOWING (WHEN CARD IS GIVEN AS FOP)

#25 - 01/11/2025 10:11 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#26 - 03/14/2025 11:55 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

(DONE)Set Document Id in Posting
Eg:
mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#27 - 03/19/2025 12:08 PM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#28 - 03/24/2025 01:22 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

(CANT REGENRATE)1)Fop with act as client is not loading
#29 - 03/27/2025 09:34 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#30 - 03/28/2025 04:09 PM - Theja Ponon
- File clipboard-202503281223-ki1ag.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#31 - 03/28/2025 04:44 PM - Theja Ponon
- File clipboard-202503281644-ma8kp.png added

#32 - 04/01/2025 12:06 PM - Theja Ponon
- File clipboard-202504011158-r9ofi.png added

Issue Found

“Travvise Assets Sale/Write Off
L Sales No Dat=” | 28/02/2025 <] Branch™ | BROO1:: Main hd
Against Doc & 0.00 Q2R Department” | DPOD1:: Account v
Customer/FOP*~ | cOC001 Corporate Card Customer QAR v Reference
Customer ~ Cost Center ~
Responsible User ~ Cash Counter M
Narration ) Discount ~ | 000
Document Status™ | Active v |Bye Total Sale 1200.00 Total Brofit 200.00
Posting Status™ | Active v By Created By:
Modified By:
g
POSID* | p1: pOS/PG v Card Number* | 4521455 Issued Bank
Authorised Code Expiry Date | 20/03/2026 [< ]
ry
Service Charge | 0.00 %| 000
Deposit Bank: Clear Date Reco No:
brd —
Assets Sale/Write Off List 0 Assets T B @
Assets/Item Name Item Code Depreciation Period Current Assets Value Selling Price Profit Previous Assets Status
*  Assets: ASTOD1:: Assets Master
Assets Items 001 1000.00 1200.00 200.00 | Active{Depreciation Not Started) & W

2)On delete

record “objrecord” is not assigned yet

Delete Reason™  Delete Reason

& Close @ Delate

3)Status showing is incorrect
Trqulse Assets Sale/Write Off

2D~ | =~ | Menu> -

Sales No Date™ | 01/04/2025 (<] Branch® | BROOT: Main v
Against Doc & 0.00 QAR Department” | DPOO1: Account v
Customer/FOP*~ | BNKOO1 Own Bank QAR v Reference Cheque -] Deposit
Responsible User ~ Cash Counter v
Narration P Discount * | 000
Document Status™  Active v By Total Sale 1220.00 Total Profit 220.00
Posting Status”  Active v By Created By:
Cheque No* | 020 Date* | 02/04/2025 [} Bank® :
Name D No Deposit Date* | 02/04/2025 [xr|
Deposit Bank : Reco No: Clear Date : Status :Hold
4)when fop is cheque transaction through bank on reloading the sale document the checkbox defualt set into deposit
5)status is not showing after reco ,reco no clear dates are not showing
Files
AssetsSaleWriteOffMaster.zip 13.9 KB 09/10/2024 Junaid M
AssetsSaleWriteOffDetails.zip 12.9 KB 09/10/2024 Junaid M
clipboard-202501011542-5nbkf.png 132 KB 01/01/2025 Theja Ponon
clipboard-202501011545-tckab.png 89.8 KB 01/01/2025 Theja Ponon
clipboard-202501061129-kjcgv.png 57.1 KB 01/06/2025 Theja Ponon
clipboard-202503281223-ki1ag.png 129 KB 03/28/2025 Theja Ponon
clipboard-202503281644-ma8kp.png 75.7 KB 03/28/2025 Theja Ponon
clipboard-202504011158-r9ofi.png 82.3 KB 04/01/2025 Theja Ponon
